### R code from vignette source 'PSSeg.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: data
###################################################
library(jointSeg)
## load known real copy number regions
data <- loadCnRegionData(platform="Affymetrix", tumorFraction=1)
str(data)


###################################################
### code chunk number 2: regDat-fig
###################################################
idxs <- sort(sample(1:nrow(data), 2e4))
plotSeg(data[idxs, ])


###################################################
### code chunk number 3: createProfile
###################################################
K <- 10
bkp <- c(408,1632,3905, 5890,6709, 10481, 12647,14089,17345,18657)
len <- 2e4
sim <- getCopyNumberDataByResampling(len, bkp=bkp, minLength=500, regData=data)
datS <- sim$profile
str(datS)


###################################################
### code chunk number 4: profile-fig
###################################################
plotSeg(datS, sim$bkp)


###################################################
### code chunk number 5: BinSeg
###################################################
resRBS <- PSSeg(data=datS, K=2*K, flavor="RBS", profile=TRUE)


###################################################
### code chunk number 6: PSSeg.Rnw:75-76
###################################################
resRBS$prof[, "time"]


###################################################
### code chunk number 7: plotRBS
###################################################
plotSeg(datS, list(true=sim$bkp, est=resRBS$bestBkp))


###################################################
### code chunk number 8: PSSeg.Rnw:93-94
###################################################
print(getTpFp(resRBS$bestBkp, sim$bkp, tol=5, relax = -1))


###################################################
### code chunk number 9: PSSeg.Rnw:99-103
###################################################
perf <- sapply(0:10, FUN=function(tol) {
  getTpFp(resRBS$bestBkp, sim$bkp, tol=tol,relax = -1)
})
print(perf)


###################################################
### code chunk number 10: GFL
###################################################
resGFL <- PSSeg(data=datS, K=5*K, flavor="GFLars", profile=TRUE, stat = "(c,d)|het")


###################################################
### code chunk number 11: PSSeg.Rnw:120-121
###################################################
resGFL$prof[, "time"]


###################################################
### code chunk number 12: plotRBS
###################################################
plotSeg(datS, list(true=sim$bkp, est=resGFL$bestBkp))


###################################################
### code chunk number 13: PSSeg.Rnw:133-134
###################################################
print(getTpFp(resGFL$bestBkp, sim$bkp, tol=15, relax = -1))


###################################################
### code chunk number 14: PSSeg.Rnw:139-143
###################################################
perf <- sapply(0:20, FUN=function(tol) {
  getTpFp(resGFL$bestBkp, sim$bkp, tol=tol, relax = -1)
})
print(perf)


###################################################
### code chunk number 15: PSSeg.Rnw:149-150
###################################################
sessionInfo()


